package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 可疑商品报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbQualityreportitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbQualityreportitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbQualityreportitemsMapper.addSKcBbQualityreportitems", pd);
    }

    public List<PageData> findSKcBbQualityreportitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbQualityreportitemsMapper.selectSKcBbQualityreportitemsList", pd);
    }

    public Integer SKcBbQualityreportitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbQualityreportitemsMapper.SKcBbQualityreportitemsRemove", pd);
    }


    public Integer updateSKcBbQualityreportitems(PageData pd)throws Exception {
        return daoSupport.update("SKcBbQualityreportitemsMapper.updateSKcBbQualityreportitems", pd);
    }

}
